## fontconfig 2.14.1

=== meson_options.txt ===
# Common feature options
option('doc', type : 'feature', value : 'auto', yield: true,
  description: 'Build documentation')
option('doc-txt', type: 'feature', value: 'auto')
option('doc-man', type: 'feature', value: 'auto')
option('doc-pdf', type: 'feature', value: 'auto')
option('doc-html', type: 'feature', value: 'auto')
option('nls', type : 'feature', value : 'auto', yield: true,
  description : 'Enable native language support (translations)')
option('tests', type : 'feature', value : 'auto', yield : true,
  description: 'Enable unit tests')
option('tools', type : 'feature', value : 'auto', yield : true,
  description: 'Build command-line tools (fc-list, fc-query, etc.)')
option('cache-build', type : 'feature', value : 'enabled',
  description: 'Run fc-cache on install')

# Defaults
option('default-hinting', type: 'combo', choices: ['none', 'slight', 'medium', 'full'], value: 'slight',
  description: 'Preferred hinting configuration')

option('default-fonts-dirs', type: 'array', value: ['yes'],
  description: 'Use fonts from DIR1,DIR2,... when config is busted (set to "yes" for generic system-specific defaults)')

option('additional-fonts-dirs', type: 'array', value: ['yes'],
  description: 'Find additional fonts in DIR1,DIR2,... (set to "yes" for generic system-specific defaults)')

# Configuration paths
option('cache-dir', type: 'string', value: 'default',
  description: 'Use DIR to store cache files (default=LOCALSTATEDIR/cache/fontconfig)')

option('template-dir', type: 'string', value: 'default',
  description: 'Use DIR to store the configuration template files (default=DATADIR/fontconfig/conf.avail)')

option('baseconfig-dir', type: 'string', value: 'default',
  description: 'Use DIR to store the base configuration files (default=SYSCONFDIR/fonts)')

option('config-dir', type: 'string', value: 'default',
  description: 'Use DIR to store active configuration files (default=BASECONFIGDIR/conf.d)')

option('xml-dir', type: 'string', value: 'default',
  description: 'Use DIR to store XML schema files (default=DATADIR/xml/fontconfig)')

## fontconfig 2.1-14-jp1

=== debian/changelog ===
fontconfig (2.1-14-jp1) unstable; urgency=low

  * Apply JKUG special patch. See,
    http://www.kde.gr.jp/~akito/patch/fcpackage/
    for more detail.

 -- Masaharu 'Max' Goto <max@users.sourceforge.jp>  Thu,  13 Feb 2003 02:33:00 +0900

fontconfig (2.1-14) unstable; urgency=low

  * debian/patches/CVS-HEAD-subpixel-rendering-fix.patch:
    - New patch, should fix crashes when subpixel rendering is
    turned on (Closes: #175903).  Big thanks to
    Michael Guntsche <mike@it-loops.com> for extracting the relevant fix
    from CVS!

 -- Colin Walters <walters@debian.org>  Fri, 10 Jan 2003 13:30:28 -0500

fontconfig (2.1-13) unstable; urgency=low

  * debian/rocks:
    - Tighten up shlibs for libfontconfig1.

 -- Colin Walters <walters@debian.org>  Wed,  8 Jan 2003 22:34:53 -0500

fontconfig (2.1-12) unstable; urgency=low

  * debian/fontconfig.postinst:
    - Redirect fc-cache error messages to /var/log/fontconfig.log, and
    refer the user to this upon failure (Closes: #174507).

 -- Colin Walters <walters@debian.org>  Fri,  3 Jan 2003 15:04:05 -0500

fontconfig (2.1-11) unstable; urgency=low

  * debian/control:
    - Remove Build-Depends on zlib1g; instead Build-Depend on the very
    latest libfreetype6-dev which does this for us.
  * debian/fontconfig.postinst:
    - Display a little message about regenerating the fonts cache.

 -- Colin Walters <walters@debian.org>  Wed, 25 Dec 2002 01:08:05 -0500

fontconfig (2.1-10) unstable; urgency=low

  * debian/patches/fail-on-submake-failure.patch:
    - New patch.  This way at least the package won't build in the future
      if there is a failure.
  * debian/control:
    - Build-Depend on zlib1g-dev directly until freetype is fixed.
    - Change fontconfig section to utils.

 -- Colin Walters <walters@debian.org>  Sun, 22 Dec 2002 21:37:25 -0500

fontconfig (2.1-9) unstable; urgency=low

  * The "<Overfiend> "*PANT* *PANT*  YEAH BABY!!!!
    FRESH COMMITS TO (freetype) CVS!!!!"  *PANT* *PANT*" release.
  * debian/control:
    - Build-Depend on the very latest freetype, the previous version of
    which was a CVS snapshot that broke the fontconfig build, and in fact
    the build of almost any package dependent on freetype; see #173834.
    Closes: #173900.
    - Build-Depend on debhelper (>= 4.1.1) since we use some features from
    it with CBS in this package (Closes: #173941).
  * debian/fontconfig.postinst:
    - New file, with the important contents stolen from Red Hat 8's
    postinst.  Thanks Anthony Fok <foka@debian.org>. (Closes: #173949).

 -- Colin Walters <walters@debian.org>  Sun, 22 Dec 2002 03:36:21 -0500

fontconfig (2.1-8) unstable; urgency=low

  * debian/control:
    - Build-Depend on xlibs-dev.  This should fix the issue with
    /usr/X11R6/lib/fonts or whatever being missing from fonts.conf.
    - Mention more prominently that fontconfig doesn't depend on X.
  * debian/rocks:
    - Install fc-cache, fc-list, and fontconfig manpages
    (Closes: #173748).

 -- Colin Walters <walters@debian.org>  Sat, 21 Dec 2002 02:54:36 -0500

fontconfig (2.1-7) unstable; urgency=low

  * debian/control:
    - [libfontconfig1-dev] Add a Conflicts: fontconfig (<< 2.1-5) so that
    we ensure upgrading happens in the correct order (due to
    fontconfig-config switching packages).

 -- Colin Walters <walters@debian.org>  Wed, 11 Dec 2002 00:48:31 -0500

fontconfig (2.1-6) unstable; urgency=low

  * debian/patches/no-date-in-fonts-conf.patch:
    - New patch; this will prevent the fonts.conf conffile from changing
    on every package upload.
  * debian/README.Debian:
    - Update.
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Tue, 10 Dec 2002 14:48:24 -0500

fontconfig (2.1-5) unstable; urgency=low

  * debian/libfontconfig1-dev.install:
    - Install fontconfig-config.
  * debian/fontconfig.install
    - Don't install fontconfig-config.
  * debian/control:
    - [libfontconfig1-dev] Add Depends: on libfreetype6-dev
    (Closes: #172488)
  * debian/rules:
    - Update to the latest version of Colin's Build System.
  * debian/rocks:
    - Add debian/tmp/usr/lib/ to DEB_SHLIBDEPS_INCLUDE
      (Closes: #172432).
    - Ensure libfontconfig1 is built before fontconfig.

 -- Colin Walters <walters@debian.org>  Mon,  9 Dec 2002 23:54:06 -0500

fontconfig (2.1-4) unstable; urgency=low

  * debian/control:
    - Really Build-Depend on ed (Closes: #172245).  Now how did I add it
      to the changelog, but not control?  Don't ask me...)
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Mon,  9 Dec 2002 12:59:07 -0500

fontconfig (2.1-3) unstable; urgency=low

  * debian/control:
    - Build-Depend on ed.
  * debian/rules:
    - Update to the latest version of Colin's Build System.
  * debian/rocks:
    - Remove extra cruft in deb-extra-clean rule.

 -- Colin Walters <walters@debian.org>  Sun,  8 Dec 2002 20:58:26 -0500

fontconfig (2.1-2) unstable; urgency=low

  * First upload to unstable; Closes: #170559.
  * debian/rules:
    - Update to latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Fri,  6 Dec 2002 01:37:16 -0500

fontconfig (2.1-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    - Use Colin's Build System.
  * debian/control:
    - Bump Standards-Version to 3.5.8.
  * debian/copyright:
    - Fix Upstream Authors.

 -- Colin Walters <walters@debian.org>  Tue,  3 Dec 2002 22:38:28 -0500

fontconfig (2.0-2) unstable; urgency=low

  * debian/control:
    - [fontconfig] New package; install configuration files and binaries in it.
    - [libfontconfig1-dev] Fix up description.

 -- Colin Walters <walters@debian.org>  Mon, 14 Oct 2002 23:06:59 -0400

fontconfig (2.0-1) unstable; urgency=low

  * Initial version.
  
 -- Colin Walters <walters@debian.org>  Sun, 13 Oct 2002 14:43:56 -0400

=== debian/control ===
Source: fontconfig
Section: devel
Priority: optional
Maintainer: Colin Walters <walters@debian.org>
Build-Depends: debhelper (>= 4.1.1), libfreetype6-dev (>= 2.1.3-4), libexpat1-dev, xlibs-dev, ed
Standards-Version: 3.5.8

Package: fontconfig
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: generic font configuration library
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 Fontconfig is not a rasterization library, nor does it impose a
 particular rasterization library on the application.  The X-specific
 library 'Xft' uses fontconfig along with freetype to specify and
 rasterize fonts.

Package: libfontconfig1-dev
Section: devel
Architecture: any
Depends: libfontconfig1 (= ${Source-Version}), libfreetype6-dev
Provides: libfontconfig-dev
Conflicts: libfontconfig-dev, fontconfig (<< 2.1-5)
Description: generic font configuration library (development files)
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 See the "fontconfig" package description for more information.

Package: libfontconfig1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: generic font configuration library (shared library)
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 See the "fontconfig" package description for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Colin's Build System
# Copyright © 2002 Colin Walters <walters@debian.org>
# $Id: rules,v 1.49 2003/01/01 19:57:26 walters Exp $

####################################
# DO NOT MODIFY THIS FILE DIRECTLY #
####################################

### Introduction to Colin's Build System #############################
# This file is shared between all the packages which use Colin's Build
# System.  The idea is that this file contains sane defaults, and
# stuff specific to a package should go into the debian/rocks Makefile
# fragment.  There generic hooks where you can override and add
# functionality for a specific package.

# The big motivating factor for CBS was originally that more and more
# programs today are created using GNU configure scripts and GNU
# automake, and as such they are all very similar to configure and
# build.  CBS takes advantage of this by doing stuff like looking for
# an executable file named "configure"; if it exists, CBS tries
# treating it like a GNU configure script, and passes it sane
# arguments (like --prefix=/usr).  This will work for like 90% of the
# cases out there (including at least all my packages).  But if it
# doesn't work, no problem; you can customize or just completely
# override it the debian/rocks file.  For example, suppose that you
# need to pass "--enable-foo" to the configure script.  In that case,
# all you need to do is create a file named debian/rocks, which
# contains:

# DEB_CONFIGURE_EXTRA_FLAGS := --enable-foo

# And that's it!  Everything else happens automagically.  However,
# suppose that your "configure" script isn't made by autoconf, and
# instead expects the user to interactively configure the program
# (e.g. Perl).  In that case, you can just override the
# "deb-common-configure" rule, by putting something like the following
# in your debian/rocks:

# deb-common-configure:
#	./configure --blah --blargh < debian/answers

# All of the rules which are overridable are listed below, up to the
# line "-include debian/rocks".  There are also a large group of
# variables you may customize to affect a default rule, instead of of
# just overriding the rule completely.

# CBS also helps you keep up-to-date with the latest policy; when
# there is a new DEB_BUILD_OPTIONS entry, or they change semantics (as
# in the latest "debug" => "noopt" change), you shouldn't have to
# change anything in your packages (besides rebuilding them with the
# latest CBS version); CBS will just handle it.

### CBS and Debhelper ################################################
# Colin's Build System currently relies heavily on debhelper version
# 4, so you must have a Build-Depends: debhelper (>= 4.0.0).

### Single vs. Multi Binary packages #################################
# If you have a single binary package, CBS tries to use the upstream
# Makefile to install everything into debian/packagename, so it will
# all appear in the binary package.  To remove files, move them
# around, just override the deb-binary-hook-<packagename> target in
# the debian/rocks file, like:

# deb-binary-hook-mypackage:
#	mv debian/mypackage/usr/sbin/myprogram debian/mypackage/usr/bin/myprogram
#	rm debian/mypackage/usr/share/doc/mypackage/INSTALL

# If you have a multi-binary package, CBS (by default) uses the
# upstream Makefile to install everything in debian/tmp.  After this,
# the recommended method is to use dh_install to copy these files into
# the appropriate package.  To do this, just create
# "packagename.install" files; see the dh_install man page.

### Common Problems ##################################################

# Are you having problems with your package not building with the
# default deb-common-build rule?  This could be because of CFLAGS
# issues.  If it doesn't work, then your upstream's build system is
# broken.  You should be able to set CFLAGS to contain the
# optimization and debugging settings you want, and this shouldn't
# frob any -I or other internal arguments the upstream build system
# needs.  One way to fix this is to have upstream fix their Makefile
# to do something like:

# # This is the default set of optimization and debugging flags, which
# # can be overridden with a CFLAGS passed to the make invocation.
# CFLAGS = -g -O2
# # Now add specific stuff we need.
# override CFLAGS += -I. -I.. -ffrob-stuff

# On a related note, if you want to have a nice, easy-to-maintain,
# working build system, try to convince your upstream to switch to
# automake, autoconf, and libtool.

### The latest version of CBS ########################################
# The canonical source for Colin's Build System is:
# http://cvs.verbum.org/debian/rules

# Note that you can easily update your current version by running:
# debian/rules update

# Are you keeping your Debian packages in CVS?  In that case, it would
# probably be a good idea to disable keyword expansion for this file,
# so debian/rules update won't get confused.  Run:
# cvs admin -ko debian/rules

### Hooks which are overridable ######################################

## This target is called before almost anything else; in particular,
## it is called even before patches are applied.  This is a good place
## to do stuff like generate a debian/control from debian/control.xml,
## etc.
deb-pre-build:
	 # Nothing to do by default.

## This target is called after patches are applied, but before
## configure scripts or anything else are run.  This is a good place
## to do wacky stuff like:
## 'find . -name 'Makefile.in' -exec touch {} \;'.
deb-post-patches:
	 # Nothing to do by default.

## This target is called after patches are applied (i.e. after
## deb-post-patches).  It is, as its name implies, a good place to run
## GNU configure scripts or the like.
deb-common-configure:
	if [ -x ./configure ]; then $(DEB_CONFIGURE_INVOKE) --prefix=$(DEB_CONFIGURE_PREFIX) --mandir=$(DEB_CONFIGURE_MANDIR) --infodir=$(DEB_CONFIGURE_INFODIR) --sysconfdir=$(DEB_CONFIGURE_SYSCONFDIR) --localstatedir=$(DEB_CONFIGURE_LOCALSTATEDIR) --libexecdir=$(DEB_CONFIGURE_LIBEXECDIR) --disable-maintainer-mode $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_USER_CONFIGURE_FLAGS); fi

## This target is for configuring a specific package.  It is called
## once for each package.
deb-configure-%:
	 # Nothing to do by default.

## This is an "extra" rule, where you may prefix arbitrary commands to
## the general build, but not override the default.  It is called
## before deb-common-build.
deb-extra-pre-common-build::
	 # Nothing to do by default.

## This target is called after common configuration (but not
## necessarily after package-specific configuration).  Generally, this
## is a good place to invoke make and the like.  Note that if you do
## package-specific configuration, you should likely override this
## rule to do nothing, and then do package-specific building in
## deb-build-<package>.
deb-common-build:
	if [ -f Makefile ]; then \
	  $(DEB_MAKE_ENVVARS) $(MAKE) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(DEB_BUILD_MAKE_TARGET); \
	fi

## This is an "extra" rule, where you may add arbitrary commands to
## the general build, but not override the default.  It is called
## after deb-common-build.
deb-extra-common-build:: deb-common-build
	 # Nothing to do by default.

## This target is called once for each package, after package-specific
## configuration; it is for doing any building to a specific package.
deb-build-%:
	 # Nothing to do by default.

## This is an "extra" rule, where you may add arbitrary commands to
## the package-specific build, but not override the default.  It is
## called after deb-build-<package>.
deb-extra-build-%: deb-build-%
	 # Nothing to do by default.

## This target is called after pre-build, and before any configuration
## takes place.  It is designed to automatically update
## config.{sub,guess} files which are used by packages which use GNU

## fontconfig 2.3.2-1osso3

=== debian/changelog ===
fontconfig (2.3.2-1osso3) unstable; urgency=low

  * Removing things that shouldn't be here in first place

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 11 May 2005 09:56:28 +0300

fontconfig (2.3.2-1osso2) unstable; urgency=high

  * Prefixing the defines to resolve naming conflicts

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue,  3 May 2005 14:01:04 +0300

fontconfig (2.3.2-1osso1) unstable; urgency=low

  * Updated to upstrem release 2.3.2
  * Added header file device_symbols.h for hardware button glyphs

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri, 29 Apr 2005 12:33:19 +0300

fontconfig (2.3.1-1osso4) unstable; urgency=low

  * Fixing the GConf key location
  * Changing the key value from 2.35 to 1.7

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 26 Apr 2005 09:36:54 +0300

fontconfig (2.3.1-1osso3) unstable; urgency=low

  * Added patches and performance improvements

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 20 Apr 2005 09:14:39 +0300

fontconfig (2.3.1-1osso2) unstable; urgency=low

  * Fixes problem with missing dependengy on gconf2

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon,  4 Apr 2005 15:28:14 +0300

fontconfig (2.3.1-1osso1) unstable; urgency=low

  * Updated to latest fontconfig upstream release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 16 Mar 2005 15:30:32 +0200

fontconfig (2.2.97-1osso4) unstable; urgency=low

  * Added all the logical content font aliases

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 15 Feb 2005 11:31:52 +0200

fontconfig (2.2.97-1osso3) unstable; urgency=low

  * modified the debug to inline so that the calls don't happen

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 26 Jan 2005 08:51:23 +0200

fontconfig (2.2.97-1osso2) unstable; urgency=low

  * added dh_makeshlibs -V 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 21 Jan 2005 14:50:47 +0200

fontconfig (2.2.97-1osso1) unstable; urgency=low

  * New upstream release, applying all our patches

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu,  9 Dec 2004 11:18:41 +0200

fontconfig (2.2.96-1osso9) unstable; urgency=low

  * Optimized for speed (removed useless sections)
  * Added support for fonts
  * FIXES bug

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  3 Dec 2004 14:42:46 +0200

fontconfig (2.2.96-1osso8) unstable; urgency=low

  * FIXES bug - missing dependencies on libexpat1-dev

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  5 Nov 2004 16:11:57 +0200

fontconfig (2.2.96-1osso7) unstable; urgency=low

  * FIXES bug: strip vs dh_strip 

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu,  4 Nov 2004 10:57:21 +0200

fontconfig (2.2.96-1osso6) unstable; urgency=low

  * Build dependencies to zlib, expat, freetype added

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue,  2 Nov 2004 16:10:38 +0200

fontconfig (2.2.96-1osso5) unstable; urgency=low

  * Added new fonts

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Mon, 18 Oct 2004 14:44:06 +0300

fontconfig (2.2.96-1osso4) unstable; urgency=low

  * Added new patch for decreased floating point usage
  * Added build-dependencies on zlib and expat dev packages
  * Changed version numbering

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Mon, 18 Oct 2004 09:50:59 +0300

fontconfig (2.2.96-1osso3) unstable; urgency=low

  * New source creation from patches
  * Removes FcDebug functionality for improved speed

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu, 14 Oct 2004 10:13:52 +0300

fontconfig (2.2.96-1osso2) unstable; urgency=low

  * FIXES bug

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 13 Oct 2004 11:43:42 +0300

fontconfig (2.2.96-1osso1) unstable; urgency=low

  * Initial release of internal Fontconfig
  * Added some unsupported font sent
  * Explicit autohinting and antialiasing
  * Hinting off for FreeSans

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 14 Sep 2004 14:33:19 +0300

=== debian/control ===
Source: fontconfig
Section: devel
Priority: optional
Maintainer:  Jakub Pavelek <jakub.pavelek@nokia.com>
Standards-Version: 3.5.9
Build-Depends: zlib1g-dev, libfreetype6-dev, libexpat1-dev, tar, gzip

Package: fontconfig
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libfreetype6 (>= 2.1.9-1osso), libfontconfig1 (>= 2.2.96-1osso), gconf2
Description: generic font configuration library
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 Fontconfig is not a rasterization library, nor does it impose a
 particular rasterization library on the application.  The X-specific
 library 'Xft' uses fontconfig along with freetype to specify and
 rasterize fonts.
 .
 This package contains a program to maintain the fontconfig cache
 (fc-cache), and a sample program to list installed fonts (fc-list).

Package: libfontconfig1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libfreetype6 (>= 2.1.9-1osso)
Description: generic font configuration library (shared library)
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.

Package: libfontconfig1-dev
Section: libs
Architecture: any
Depends: libfontconfig1 (>= 2.2.96-1osso), libfreetype6-dev (>= 2.1.9-1osso), libexpat1-dev
Conflicts: libfontconfig-dev, fontconfig (<< 2.1-5)
Description: Development package for Fontconfig.
 Headers and documentation.

Package: libfontconfig1-dbg
Section: libs
Architecture: any
Depends: libfreetype6 (>= 2.1.9-1osso), libfontconfig1
Description: Debugging symbols for the Xft.
 This one goes to /usr/lib/debug and shadows the /usr/lib/ shared libraries.

=== debian/rules ===
#!/usr/bin/make -f


export DH_COMPAT=3
PV = 2.3.2

SHELL = /bin/bash

CFLAGS = -g

configure: configure-stamp
configure-stamp:
	dh_testdir
	tar -xzf fontconfig-$(PV).tar.gz
	mv fontconfig-$(PV) fontconfig
	patch -p0 < fontconfig-const.patch
	#patch -p0 < fontconfig-static-object.patch 
	patch -p0 < fontconfig-nodebug.patch
	patch -p0 < fontconfig-lessfloat.patch
	patch -p0 < fontconfig-optimize_config.patch
	patch -p0 < fontconfig-newtimes-nohint.patch
	#patch -p0 < fontconfig-even_less_debug.patch
	cd fontconfig && patch -p0 < ../fontconfig-remove-i18n.patch
	cd fontconfig && ./configure --prefix=/usr --sysconfdir=/etc
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C fontconfig all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf fontconfig
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C fontconfig install DESTDIR=$(CURDIR)/debian/libfontconfig1
	install -d $(CURDIR)/debian/fontconfig/usr/include
	install -d $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig
	install -d $(CURDIR)/debian/libfontconfig1-dev/usr
	install -d $(CURDIR)/debian/libfontconfig1-dev/usr/lib
	install -d $(CURDIR)/debian/libfontconfig1-dbg/usr
	install -d $(CURDIR)/debian/libfontconfig1-dbg/usr/lib
	install -d $(CURDIR)/debian/libfontconfig1-dbg/usr/lib/debug
	mv $(CURDIR)/debian/libfontconfig1/usr/bin $(CURDIR)/debian/fontconfig/usr/
	mv $(CURDIR)/debian/libfontconfig1/etc $(CURDIR)/debian/fontconfig/
	mv $(CURDIR)/debian/libfontconfig1/usr/include $(CURDIR)/debian/libfontconfig1-dev/usr/
	mv $(CURDIR)/debian/libfontconfig1/usr/man $(CURDIR)/debian/libfontconfig1-dev/usr/
	mv $(CURDIR)/debian/libfontconfig1/usr/share $(CURDIR)/debian/libfontconfig1-dev/usr/
	mv $(CURDIR)/debian/libfontconfig1/usr/lib/libfontconfig.a $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
	mv $(CURDIR)/debian/libfontconfig1/usr/lib/libfontconfig.la $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
	cp --no-dereference $(CURDIR)/debian/libfontconfig1/usr/lib/libfontconfig.so* $(CURDIR)/debian/libfontconfig1-dbg/usr/lib/debug/
	mv $(CURDIR)/debian/libfontconfig1/usr/lib/libfontconfig.so $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
	mv $(CURDIR)/debian/libfontconfig1/usr/lib/pkgconfig $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
	mv $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/fontconfig/*.* $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig/
	mv $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/fontconfig $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/libfontconfig1-dev
	dh_strip 
	install -d $(CURDIR)/debian/fontconfig/etc/gconf/schemas
	install -m 644 hildon_fontconfig.schemas $(CURDIR)/debian/fontconfig/etc/gconf/schemas/
	install -m 644 device_symbols.h $(CURDIR)/debian/fontconfig/usr/include/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_makeshlibs -V
	dh_installchangelogs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fontconfig 2.3.2-1osso7

=== debian/changelog ===
fontconfig (2.3.2-1osso7) unstable; urgency=low

  * And fixing their location again

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 13 Sep 2005 12:22:05 +0300

fontconfig (2.3.2-1osso6) unstable; urgency=low

  * Moving files around 

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue,  6 Sep 2005 16:53:24 +0300

fontconfig (2.3.2-1osso5) unstable; urgency=low

  * Fixing the licensing and copyright info in device_symbols.h

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu,  7 Jul 2005 11:30:39 +0300

fontconfig (2.3.2-1osso4) unstable; urgency=low

  * Changing the font scaling from 1.7 to 1.5

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Mon, 23 May 2005 09:57:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,12 @@
 	tar -xzf fontconfig-$(PV).tar.gz
 	mv fontconfig-$(PV) fontconfig
 	patch -p0 < fontconfig-const.patch
-	#patch -p0 < fontconfig-static-object.patch 
+	#patch -p0 < fontconfig-static-object.patch  in upstream already
 	patch -p0 < fontconfig-nodebug.patch
 	patch -p0 < fontconfig-lessfloat.patch
 	patch -p0 < fontconfig-optimize_config.patch
 	patch -p0 < fontconfig-newtimes-nohint.patch
-	#patch -p0 < fontconfig-even_less_debug.patch
+	#patch -p0 < fontconfig-even_less_debug.patch not working
 	cd fontconfig && patch -p0 < ../fontconfig-remove-i18n.patch
 	cd fontconfig && ./configure --prefix=/usr --sysconfdir=/etc
 	touch configure-stamp
@@ -63,6 +63,7 @@
 	mv $(CURDIR)/debian/libfontconfig1/usr/lib/pkgconfig $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
 	mv $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/fontconfig/*.* $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig/
 	mv $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/fontconfig $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/libfontconfig1-dev
+	mv $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig/*.{pdf,html,txt} $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/libfontconfig1-dev/
 	dh_strip 
 	install -d $(CURDIR)/debian/fontconfig/etc/gconf/schemas
 	install -m 644 hildon_fontconfig.schemas $(CURDIR)/debian/fontconfig/etc/gconf/schemas/

## fontconfig 2.3.2-1osso14

=== debian/changelog ===
fontconfig (2.3.2-1osso14) unstable; urgency=low

  * Added dependency on gconf2 for fontconfig.

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 14 Jun 2006 11:03:35 +0300

fontconfig (2.3.2-1osso13) unstable; urgency=low

  * Added missing .la file to the -dev package

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 14 Jun 2006 11:03:33 +0300

fontconfig (2.3.2-1osso11) unstable; urgency=low

  * Fixed the packaging (missing .install files)

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  9 Jun 2006 12:56:16 +0300

fontconfig (2.3.2-1osso9) unstable; urgency=low

  * Updated build-dependencies, moved file between lib and dev package

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 12 Apr 2006 11:41:17 +0300

fontconfig (2.3.2-1osso8) unstable; urgency=low

  * SDK fixes

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  7 Oct 2005 10:48:02 +0300

=== debian/control ===
Source: fontconfig
Section: devel
Priority: optional
Maintainer:  Jakub Pavelek <jakub.pavelek@nokia.com>
Build-Depends: zlib1g-dev, libfreetype6-dev, libexpat1-dev, tar (>= 0.1), gzip (>=0.1)
Standards-Version: 3.5.9


Package: fontconfig
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, gconf2 (>= 2.6.0)
Description: generic font configuration library
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 Fontconfig is not a rasterization library, nor does it impose a
 particular rasterization library on the application.  The X-specific
 library 'Xft' uses fontconfig along with freetype to specify and
 rasterize fonts.
 .
 This package contains a program to maintain the fontconfig cache
 (fc-cache), and a sample program to list installed fonts (fc-list).

Package: libfontconfig1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: generic font configuration library (shared library)
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.

Package: libfontconfig1-dev
Section: libs
Architecture: all
Depends: libfontconfig1 (= ${Source-Version}), libfreetype6-dev (>= 2.1.9-1osso), libexpat1-dev
Description: Development package for Fontconfig.
 Headers and documentation.

Package: libfontconfig1-dbg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libfontconfig1 (= ${Source-Version})
Description: Debugging symbols for libfontconfig1.
 This one goes to /usr/lib/debug and shadows the /usr/lib/ shared libraries.

=== debian/rules ===
#!/usr/bin/make -f


export DH_COMPAT=3
PV = 2.3.2

SHELL = /bin/bash

CFLAGS = -g

configure: configure-stamp
configure-stamp:
	dh_testdir
	tar -xzf fontconfig-$(PV).tar.gz
	mv fontconfig-$(PV) fontconfig
	patch -p0 < fontconfig-const.patch
	#patch -p0 < fontconfig-static-object.patch  in upstream already
	patch -p0 < fontconfig-nodebug.patch
	patch -p0 < fontconfig-lessfloat.patch
	patch -p0 < fontconfig-optimize_config.patch
	patch -p0 < fontconfig-newtimes-nohint.patch
	#patch -p0 < fontconfig-even_less_debug.patch not working
	cd fontconfig && patch -p0 < ../fontconfig-remove-i18n.patch
	cd fontconfig && ./configure --prefix=/usr --sysconfdir=/etc
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C fontconfig all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf fontconfig
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C fontconfig install DESTDIR=$(CURDIR)/debian/tmp
	install -d $(CURDIR)/debian/tmp/etc/gconf/schemas
	install -m 644 hildon_fontconfig.schemas $(CURDIR)/debian/tmp/etc/gconf/schemas/
	install -m 644 device_symbols.h $(CURDIR)/debian/tmp/usr/include/
	install -d $(CURDIR)/debian/tmp/usr/lib/debug
	cp --no-dereference $(CURDIR)/debian/tmp/usr/lib/*.so.* $(CURDIR)/debian/tmp/usr/lib/debug/


#	$(MAKE) -C fontconfig install DESTDIR=$(CURDIR)/debian/libfontconfig1
#	install -d $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig
#	install -d $(CURDIR)/debian/libfontconfig1-dev/usr
#	install -d $(CURDIR)/debian/libfontconfig1-dev/usr/lib
#	install -d $(CURDIR)/debian/libfontconfig1-dbg/usr
#	install -d $(CURDIR)/debian/libfontconfig1-dbg/usr/lib
#	install -d $(CURDIR)/debian/libfontconfig1-dbg/usr/lib/debug
#	mv $(CURDIR)/debian/libfontconfig1/usr/bin $(CURDIR)/debian/fontconfig/usr/
#	mv $(CURDIR)/debian/libfontconfig1/etc $(CURDIR)/debian/fontconfig/
#	mv $(CURDIR)/debian/libfontconfig1/usr/include $(CURDIR)/debian/libfontconfig1-dev/usr/
#	mv $(CURDIR)/debian/libfontconfig1/usr/man $(CURDIR)/debian/libfontconfig1-dev/usr/
#	mv $(CURDIR)/debian/libfontconfig1/usr/share $(CURDIR)/debian/libfontconfig1-dev/usr/
#	mv $(CURDIR)/debian/libfontconfig1/usr/lib/libfontconfig.a $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
#	mv $(CURDIR)/debian/libfontconfig1/usr/lib/libfontconfig.la $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
#	cp --no-dereference $(CURDIR)/debian/libfontconfig1/usr/lib/libfontconfig.so* $(CURDIR)/debian/libfontconfig1-dbg/usr/lib/debug/
#	mv $(CURDIR)/debian/libfontconfig1/usr/lib/libfontconfig.so $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
#	mv $(CURDIR)/debian/libfontconfig1/usr/lib/pkgconfig $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
#	mv $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/fontconfig/*.* $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig/
#	mv $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/fontconfig $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/libfontconfig1-dev
#	mv $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig/*.{pdf,html,txt} $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/libfontconfig1-dev/
#	dh_strip 
#	install -d $(CURDIR)/debian/fontconfig/etc/gconf/schemas
#	install -m 644 hildon_fontconfig.schemas $(CURDIR)/debian/fontconfig/etc/gconf/schemas/
#	install -m 644 device_symbols.h $(CURDIR)/debian/libfontconfig1-dev/usr/include/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_makeshlibs -V
	dh_install --sourcedir=debian/tmp -v
	dh_installchangelogs
	dh_installdeb
	dh_shlibdeps
	dh_strip --dbg-package=libfontconfig1-dbg
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fontconfig 2.4.1-1osso1

=== debian/changelog ===
fontconfig (2.4.1-1osso1) unstable; urgency=low

  * Updated to upstream version 2.4.1
  * Ported our optimization and config patches
  * Interesting reading: https://bugs.freedesktop.org/show_bug.cgi?id=8428
    alond the lines of "valgrind is confused, this is not a bug".
  * We have the memory mapped config in.
  * Fixes: NB#36277, NB#24745

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu, 28 Sep 2006 14:44:22 +0300

fontconfig (2.3.95-1osso1) unstable; urgency=low

  * Upstream update
  * using 2.3.95 version
  * removed already integrated patches from build
  * added thumb compilation to Debian build options, fixes NB#26665
  * added dh_fixperms, fixes NB#33546
  * changed the way debug package is built, added shlibs generation, fixes
    NB#34018
  * Missing ldconfig call (updated compat level from 3 to 4), fixes NB#34020
  * Removed static lib from -dev package. Fixed NB#34022

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 12 Jul 2006 11:24:08 +0300

fontconfig (2.3.2-2osso3) unstable; urgency=low

  * Removed the static lib to keep the dev package architecture agnostic

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  7 Jul 2006 16:00:07 +0300

fontconfig (2.3.2-2osso2) unstable; urgency=low

  * Added dependency on gconf2 for fontconfig.

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Thu, 22 Jun 2006 17:45:00 +0300

fontconfig (2.3.2-2osso1) unstable; urgency=low

  * Bumping up for next OS version

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 13 Jun 2006 17:33:30 +0300

=== debian/control ===
--- 
+++ 
@@ -46,4 +46,4 @@
 Architecture: any
 Depends: ${shlibs:Depends}, libfontconfig1 (= ${Source-Version})
 Description: Debugging symbols for libfontconfig1.
- This one goes to /usr/lib/debug and shadows the /usr/lib/ shared libraries.
+ Debug symbols for the library in /usr/lib/debug/usr/lib/.

=== debian/rules ===
#!/usr/bin/make -f


export DH_COMPAT=4
PV = 2.4.1

SHELL = /bin/bash

CFLAGS = -g0 -O2


# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

export CFLAGS

configure: configure-stamp
configure-stamp:
	dh_testdir
	tar -xzf fontconfig-$(PV).tar.gz
	mv fontconfig-$(PV) fontconfig
	#patch -p0  < fontconfig-const.patch - in upstream already, 2.3.95
	#patch -p0 < fontconfig-static-object.patch - in upstream already, 2.3.2
	#patch -p0 < fontconfig-nodebug.patch - reimplemented, patch (hopefully) not needed anymore, 2.3.95
	patch -p0 < fontconfig-lessfloat.patch
	patch -p0 < fontconfig-optimize_config.patch
	#patch -p0 < fontconfig-newtimes-nohint.patch 28.9.06: Merged to optimize-config - patch would fail otherwise :(
	cd fontconfig && patch -p0 < ../fontconfig-remove-i18n.patch
	cd fontconfig && ./configure --prefix=/usr --sysconfdir=/etc
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C fontconfig all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf fontconfig
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C fontconfig install DESTDIR=$(CURDIR)/debian/tmp
	install -d $(CURDIR)/debian/tmp/etc/gconf/schemas
	install -m 644 hildon_fontconfig.schemas $(CURDIR)/debian/tmp/etc/gconf/schemas/
	install -m 644 device_symbols.h $(CURDIR)/debian/tmp/usr/include/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp -v
	dh_strip --dbg-package=libfontconfig1
	dh_link
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fontconfig 2.4.1-1osso2

=== debian/changelog ===
fontconfig (2.4.1-1osso2) unstable; urgency=low

  * Fixes: NB#46649 

 -- Richard Sun <Richard.Sun@nokia.com>  Mon, 20 Nov 2006 12:59:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,17 @@
 
 SHELL = /bin/bash
 
-CFLAGS = -g0 -O2
+CFLAGS = -Wall -g
 
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
 
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))

## fontconfig 2.4.1-1osso2.1

=== debian/changelog ===
fontconfig (2.4.1-1osso2.1) unstable; urgency=low

  * Increasing the version, recompilation is needed to link with libdbus-1-3

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Fri, 23 Feb 2007 14:41:00 +0200

## fontconfig 2.4.1-1osso5

=== debian/changelog ===
fontconfig (2.4.1-1osso5) unstable; urgency=low

  * Fixes: NB#70068

 -- Richard Sun <richard.sun@nokia.com>  Tue, 12 Feb 2008 15:26:41 +0200

fontconfig (2.4.1-1osso4) unstable; urgency=low

  * Updated: disable hinting for monotype font

 -- Richard Sun <richard.sun@nokia.com>  Tue, 12 Feb 2008 14:02:31 +0200

fontconfig (2.4.1-1osso3) unstable; urgency=low

  * New "LOCK" key introduced

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri, 11 May 2007 17:00:45 +0300

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	#patch -p0 < fontconfig-nodebug.patch - reimplemented, patch (hopefully) not needed anymore, 2.3.95
 	patch -p0 < fontconfig-lessfloat.patch
 	patch -p0 < fontconfig-optimize_config.patch
+	patch -p0 < fontconfig-monotype-nohint.patch
 	#patch -p0 < fontconfig-newtimes-nohint.patch 28.9.06: Merged to optimize-config - patch would fail otherwise :(
 	cd fontconfig && patch -p0 < ../fontconfig-remove-i18n.patch
 	cd fontconfig && ./configure --prefix=/usr --sysconfdir=/etc
